Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface BasicServiceInitiator<R extends Service>

All Superinterfaces:
  ServiceInitiator<R>

All Known Implementing Classes:
  BatchBuilderInitiator, ConfigurationServiceInitiator, ConnectionProviderInitiator, DialectFactoryInitiator, DialectResolverInitiator, ImportSqlCommandExtractorInitiator, JdbcServicesInitiator, JmxServiceInitiator, JndiServiceInitiator, JtaPlatformInitiator, MultiTenantConnectionProviderInitiator, MutableIdentifierGeneratorFactoryInitiator, PersisterClassResolverInitiator, PersisterFactoryInitiator, RegionFactoryInitiator, SessionFactoryServiceRegistryFactoryInitiator, TransactionFactoryInitiator

    public interface BasicServiceInitiator<R extends Service>

extends ServiceInitiator<R>

Contract for an initiator of services that target the standard `ServiceRegistry`

Method Summary
`R` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from interface org.hibernate.service.spi.ServiceInitiator
`getServiceInitiated`

Method Detail

### initiateService

    R initiateService(Map configurationValues,
                      ServiceRegistryImplementor registry)

  Initiates the managed service.

  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.